function simulate(omc, model; StartTime = 0,
        StopTime = 0, Tolerance = 1E-6,
        NumberOfIntervals = 500)
    # Assemble options
    simulateOpts = ", tolerance=" * string(Tolerance)
    if StartTime != 0
        simulateOpts *= ", startTime=" * string(StartTime)
    end
    if StopTime > StartTime
        simulateOpts *= ", stopTime=" * string(StopTime)
    end
    if NumberOfIntervals != 500
        simulateOpts *= ", numberOfIntervals=" * string(NumberOfIntervals)
    end
    # Run simulaton
    print("    simulate("*model*simulateOpts*")")
    status = OMJulia.sendExpression(omc, "simulate(" * model * simulateOpts * ")")
    if status != ""
        # Report successful operation
        println(" ... successful")
        resultFile = get(status, "resultFile", nothing)
        println("    Result file:")
        println("    " * resultFile)
        return(resultFile)
    else
        messages = get(status, "messages",nothing)
        # Indicate failed operation and print status message
        println(" ... failed")
        println("    Status: " * messages)
        return(false)
    end
end
